from django.conf.urls import patterns, include, url
import tripleStore
from tripleStore import views


# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    url(r'^counter$', 'tripleStore.views.test_page'),
    # Examples:
    # url(r'^$', 'devices.views.home', name='home'),
    url(r'^$', 'tripleStore.views.index', name='index'),
 
   url(r'^oauth/virtuoso$', 'tripleStore.views.virtuoso_oauth'),
   url(r'^oauth/virtuoso/callback$', 'tripleStore.views.virtuoso_callback'),

   # authentication urls
   url(r'^accounts/login$', 'tripleStore.views.login'),
   url(r'^accounts/auth$', 'tripleStore.views.auth_view'),
   url(r'^accounts/logout$', 'tripleStore.views.logout'),
   url(r'^accounts/loggedin$', 'tripleStore.views.loggedin'),
   url(r'^accounts/invalid$', 'tripleStore.views.invalid_login'),
   url(r'^accounts/register$', 'tripleStore.views.register'),
   url(r'^accounts/auth_register$', 'tripleStore.views.auth_register'),
   url(r'^accounts/user$', 'tripleStore.views.user_info'),
   url(r'^accounts/settings$', 'tripleStore.views.user_settings'),
   url(r'^accounts/connectionRemove$', 'tripleStore.views.connectionRemove'),
   #enter email form
   url(r'^accounts/email$', 'tripleStore.views.user_email'),
   #generate_code
   url(r'^accounts/generate_code$', 'tripleStore.views.generate_code'),
   #change password form
   url(r'^accounts/recover$', 'tripleStore.views.change_password'),
   #change password
   url(r'^accounts/recover2$', 'tripleStore.views.do_change_password'),

   #oauth - ihealth
	#where to go to grant authentication
   url(r'^oauth/ihealth$', 'tripleStore.views.ihealth_oauth'),
	#where to come back
   url(r'^oauth/ihealth/callback$', 'tripleStore.views.ihealth_callback'),

   #oauth - fitbit
	#where to go to grant authentication
   url(r'^oauth/fitbit$', 'tripleStore.views.fitbit_oauth'),
	#where to come back
   url(r'^oauth/fitbit/callback$', 'tripleStore.views.fitbit_callback'),

   #oauth - withings
	#where to go to grant authentication
   url(r'^oauth/withings$', 'tripleStore.views.withings_oauth'),
	#where to come back
   url(r'^oauth/withings/callback$', 'tripleStore.views.withings_callback'),

   #oauth - misfit
	#where to go to grant authentication
   url(r'^oauth/misfit$', 'tripleStore.views.misfit_oauth'),
	#where to come back
   url(r'^oauth/misfit/callback$', 'tripleStore.views.misfit_callback'),

   #oauth - medisana
	#where to go to grant authentication
   url(r'^oauth/medisana$', 'tripleStore.views.medisana_oauth'),
	#where to come back
   url(r'^oauth/medisana/callback$', 'tripleStore.views.medisana_callback'),

   #oauth - gfit
	#where to go to grant authentication
   url(r'^oauth/googlefit$', 'tripleStore.views.googlefit_oauth'),
	#where to come back
   url(r'^oauth/googlefit/callback$', 'tripleStore.views.googlefit_callback'),

   #oauth - moves
	#where to go to grant authentication
   url(r'^oauth/moves$', 'tripleStore.views.moves_oauth'),
	#where to come back
   url(r'^oauth/moves/callback$', 'tripleStore.views.moves_callback'),

   #oauth - phr
   url(r'^oauth/phr$', 'tripleStore.views.phr_oauth'),
   url(r'^oauth/phr/callback$', 'tripleStore.views.phr_callback'),

   #oauth - healthvault
   url(r'^oauth/healthvault$', 'tripleStore.views.healthvault_oauth'),
   url(r'^oauth/healthvault/callback$', 'tripleStore.views.healthvault_callback'),

   #oauth - google
   url(r'^oauth/google$', 'tripleStore.views.google_oauth'),
   url(r'^google/oauth2callback$', 'tripleStore.views.google_callback'),

   #oauth - location
   url(r'^oauth/location$', 'tripleStore.views.location_oauth'),
   url(r'^location/oauth2callback$', 'tripleStore.views.location_callback'),
   
   #probe service
   url(r'^probe/service$', 'tripleStore.views.probe_service'),

   #explore
   url(r'^explore$', 'tripleStore.views.explore'),

   #explore day
   url(r'^explore/day$', 'tripleStore.views.day'),

   #sparql
   url(r'^sparql$', 'tripleStore.views.sparql'),

   #message
   url(r'^info$', 'tripleStore.views.message'),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),
    # url(r'^tripleStore/', include(tripleStore.urls)),
)

from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.conf.urls.static import static
from django.conf import settings

urlpatterns += staticfiles_urlpatterns() + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
