#used for fetchHistoricalData and fetchSynchronousData

def getUsernameFromGraphName(graphName):
	rs = graphName
	if "carre.kmi.open.ac.uk/users/" in graphName:
		rs = rs.replace("http://carre.kmi.open.ac.uk/users/","")
		rs = rs.replace("https://carre.kmi.open.ac.uk/users/","")
	return rs

def updateLastMeasured(graphName, provider, date):
	from SPARQLWrapper import SPARQLWrapper, DIGEST, SELECT
	import datetime
	
	newDate = date + datetime.timedelta(days=1)
	sparql = SPARQLWrapper(endpoint="http://carre.kmi.open.ac.uk:8890/sparql-auth", updateEndpoint="http://carre.kmi.open.ac.uk:8890/sparql-auth")
	sparql.setHTTPAuth(DIGEST)
	sparql.setCredentials("ADMINISTRATOR_DETAILS_GO_HERE", "ADMINISTRATOR_DETAILS_GO_HERE")
	manufacturer = "http://carre.kmi.open.ac.uk/manufacturers/" + provider

	sql = "WITH <" + graphName + "> DELETE { <"+manufacturer+"> <http://carre.kmi.open.ac.uk/ontology/sensors.owl#last_measured> ?object }  WHERE { ?subject ?predicate ?object . <" + manufacturer + "> <http://carre.kmi.open.ac.uk/ontology/sensors.owl#last_measured> ?object}"

	sparql.setQuery(sql)
	# https://mousecradle.wordpress.com/2013/05/19/sparul-via-sparqlwrapper-and-virtuoso/
	sparql.queryType= SELECT
	rs = sparql.query()

	sql = "INSERT IN <" + graphName + "> { <" + manufacturer + "> <http://carre.kmi.open.ac.uk/ontology/sensors.owl#last_measured> \"" + newDate.strftime("%Y-%m-%d") + "\"^^xsd:date}"
	sparql.setQuery(sql)
	sparql.queryType= SELECT
	rs = sparql.query()

	return rs
